{coordinates}: Map matching

API: project-osrm.org:openstreetmap-osrm-api
Endpoint: /match/v1/{profile}/{coordinates}
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 204ms

Description

Snaps noisy GPS points to the road network and returns the most likely route

Examples (1)

Map match GPS points to road network probe-gate
curl 'https://router.project-osrm.org/match/v1/driving/13.388860,52.517037;13.397634,52.529407;13.428555,52.523219'
import requests

resp = requests.get("https://router.project-osrm.org/match/v1/driving/13.388860,52.517037;13.397634,52.529407;13.428555,52.523219")
data = resp.json()
import zingu_apis

api = zingu_apis.api("project-osrm")
result = api.fetch("match/v1/{profile}/{coordinates}")

for item in result:
    print(item)
const resp = await fetch("https://router.project-osrm.org/match/v1/driving/13.388860,52.517037;13.397634,52.529407;13.428555,52.523219");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:00:54.010161 200 204ms
2026-04-15 00:45:37.894598 200 228ms
2026-04-14 03:27:06.197057 200 138ms
2026-04-12 16:26:14.466798 200 229ms
2026-04-10 00:59:54.720653 200 906ms
2026-04-09 00:28:01.606367 200 223ms
2026-04-08 00:14:58.779049 200 182ms
2026-04-07 01:29:56.098894 200 212ms
2026-04-06 05:28:10.160959 200 488ms
2026-04-05 02:42:24.580788 200 218ms
2026-04-04 02:08:16.201444 200 222ms
2026-04-03 13:06:00.628981 200 629ms
2026-03-30 02:32:23.267142 200 203ms
2026-03-29 13:18:59.167816 200 212ms